commit af97b5eb023756c4a00c8c3327395f3d069d7e26
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Mon Aug 19 10:44:44 2024 +0200

    testsuite: Prune warning about size of enums
    
    This fixes reported regression at
    https://linaro.atlassian.net/browse/GNU-1315.
    
    gcc/testsuite/ChangeLog:
    
            * g++.dg/warn/pr33738-2.C: dg-prune arm linker messages about
            size of enums.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 6d8b9b772e0b3969e6b3fcf0363d6afcce2e65c9)

diff --git a/gcc/testsuite/g++.dg/warn/pr33738-2.C b/gcc/testsuite/g++.dg/warn/pr33738-2.C
index 84bbdaeecc7..1ab121893ee 100644
--- a/gcc/testsuite/g++.dg/warn/pr33738-2.C
+++ b/gcc/testsuite/g++.dg/warn/pr33738-2.C
@@ -1,4 +1,5 @@
 // { dg-do run }
+// { dg-prune-output "use of enum values across objects may fail" }
 // { dg-options "-O2 -Wtype-limits -fstrict-enums -fshort-enums" }
 extern void link_error (void);
 

